MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028630Open CASCADE[OCCT] OCCT:Visualizationpublic2017-04-05 14:182017-09-29 16:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028630: Visualization, StdPrs_ShadedShape - do not create Poly_Connect without need
DescriptionStdPrs_ShadedShape creates Poly_Connect for computing normals through StdPrs_ToolTriangulatedShape tool. Triangulation analysis within Poly_Connect is not free operation and since Poly_Connect can be not used at all (e.g. if normals already stored in triangulation) - it is waste of time.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028469closedbugmaster Visualization, StdPrs_ShadedShape - do not create redundant copy of normal array 
related to 0028945closedbugmaster Visualization - StdPrs_ToolTriangulatedShape::ComputeNormals() is extremely slow for triangulation-only surface 

-  Notes
(0064938)
git (administrator)
2017-04-05 15:59

Branch CR28630 has been created by kgv.

SHA-1: a59514db7fe1bc69d9bf93bdd985549f8d0879d4


Detailed log of new commits:

Author: kgv
Date: Wed Apr 5 15:59:49 2017 +0300

    0028630: Visualization, StdPrs_ShadedShape - do not create Poly_Connect without need
(0064939)
kgv (developer)
2017-04-05 16:02

Patch is ready for review.

Presentation computation time on Bleriot model:
16.9 s -> 14.9 s (master -> patch).
(0064971)
git (administrator)
2017-04-06 12:11

Branch CR28630 has been updated forcibly by kgv.

SHA-1: 2dfb1fd65d0f3aeea3a31dd3f171184566a0e23d
(0064972)
apl (developer)
2017-04-06 12:12

Dear bugmaster,

Please test the patch.
(0065027)
mkv (tester)
2017-04-07 13:44

Dear BugMaster,
Branch CR28630 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 2dfb1fd65d0f3aeea3a31dd3f171184566a0e23d

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91604676 / 91345636 [+0.28%]
Total CPU difference: 20044.9300000001 / 19613.440000000242 [+2.20%]
products component :
Total MEMORY difference: 30828887 / 30770563 [+0.19%]
Total CPU difference: 5389.289999999985 / 5358.419999999984 [+0.58%]
Testing on Windows:
occt component :
Total MEMORY difference: 57858725 / 57855806 [+0.01%]
Total CPU difference: 18467.75718229849 / 18063.40259029849 [+2.24%]
products component :
Total MEMORY difference: 22295378 / 22257195 [+0.17%]
Total CPU difference: 5405.4346499999765 / 5313.206858799958 [+1.74%]

There are no differences in images found by testdiff.
(0065028)
mkv (tester)
2017-04-07 13:44

Dear BugMaster,
Branch CR28630 is TESTED.
(0065955)
git (administrator)
2017-05-12 11:36

Branch CR28630 has been deleted by kgv.

SHA-1: 2dfb1fd65d0f3aeea3a31dd3f171184566a0e23d

- Related Changesets
occt: master 450c83ad
Timestamp: 2017-04-05 12:59:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028630: Visualization, StdPrs_ShadedShape - do not create Poly_Connect without need
mod - src/Poly/FILES Diff ] File ]
mod - src/Poly/Poly_Connect.cxx Diff ] File ]
mod - src/Poly/Poly_Connect.hxx Diff ] File ]
rm - src/Poly/Poly_Connect.lxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-05 14:18 kgv New Issue
2017-04-05 14:18 kgv Assigned To => kgv
2017-04-05 14:26 kgv Relationship added related to 0028469
2017-04-05 15:59 git Note Added: 0064938
2017-04-05 16:02 kgv Note Added: 0064939
2017-04-05 16:02 kgv Assigned To kgv => san
2017-04-05 16:02 kgv Status new => resolved
2017-04-05 16:07 kgv Assigned To san => apl
2017-04-06 12:11 git Note Added: 0064971
2017-04-06 12:12 apl Note Added: 0064972
2017-04-06 12:12 apl Assigned To apl => bugmaster
2017-04-06 12:12 apl Status resolved => reviewed
2017-04-06 12:55 mkv Assigned To bugmaster => mkv
2017-04-07 13:44 mkv Note Added: 0065027
2017-04-07 13:44 mkv Note Added: 0065028
2017-04-07 13:44 mkv Assigned To mkv => bugmaster
2017-04-07 13:44 mkv Status reviewed => tested
2017-04-07 13:44 mkv Test case number => Not needed
2017-04-14 14:28 bugmaster Changeset attached => occt master 450c83ad
2017-04-14 14:28 bugmaster Status tested => verified
2017-04-14 14:28 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065955
2017-07-25 16:13 kgv Relationship added related to 0028945
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:28 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker